Create session
curl --request POST \
--url https://api.txcloud.io/v1/identity/sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"document_type": "<string>",
"country": "<string>",
"checks": [
"<string>"
],
"metadata": {}
}
'import requests
url = "https://api.txcloud.io/v1/identity/sessions"
payload = {
"document_type": "<string>",
"country": "<string>",
"checks": ["<string>"],
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
document_type: '<string>',
country: '<string>',
checks: ['<string>'],
metadata: {}
})
};
fetch('https://api.txcloud.io/v1/identity/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "sess_a1b2c3d4e5f6",
"object": "identity.session",
"status": "pending",
"document_type": "<string>",
"country": "<string>",
"documents": [
{
"side": "<string>",
"uploaded": true,
"quality_score": 123
}
],
"selfie_uploaded": true,
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}Sessions
Create session
Creates a verification session for multi-step document upload.
Sessions expire after 15 minutes of inactivity.
Flow:
- Create session
- Upload document front
- Upload document back (if required)
- Upload selfie
- Complete session
POST
/
identity
/
sessions
Create session
Authorizations
API key as Bearer token
Body
application/json
Response
201 - application/json
Session created
Example:
"sess_a1b2c3d4e5f6"
Available options:
identity.session Available options:
pending, ready, completed, expired Show child attributes
Show child attributes